(function(){
    //点赞
    $("body").on("click", ".dianzan .like", function(){
        if($(this).hasClass("hasDian")){
            alertInfo("您已经给该信息点过赞!");
        }else{
            var infoId = $(this).attr("data-id");
            $.get("/article/like", {id: infoId}, function(res){
                if(res.code === 0){
                    console.log("点赞成功!");
                    $(".like").text("赞" + (parseInt($(".like").attr("data-count"))+1)).addClass("hasDian");
                } else {
                    alertInfo(res.msg);
                }
            });
        }
    });
}());
//相关阅读
var articleRelated = new Vue({
    el: "#articleRelated",
    data: {
        infoId: $("#articleId").val()?$("#articleId").val()*1:0,
        articleLabels: $("#articleLabels").val()?$("#articleLabels").val():"",
        related: {}
    },
    methods: {
        getRelatedList: function () {
            var _self = this;
            if(this.infoId ===0){return;}
            $.getJSON("/article/related",{
                id: this.infoId,
                labels: this.articleLabels
            }).done(function (r) {
                if (r.code === 0 && r.data) {
                    _self.related = r.data;
                }
            });
        },

    },
    created: function () {
        this.infoId = $("#articleId").val() ? $("#articleId").val()*1 : 0;
        this.articleLabels = $("#articleLabels").val()?$("#articleLabels").val():"";
        // 获取相关阅读
        this.getRelatedList();
    },
    mounted: function () {
        var _self = this;
        var thisUri = window.location.href;
        $('#qrcode').qrcode({
            "render": "canvas",
            "width": '120',
            "height": '120',
            "color": "#3a3",
            "text": thisUri
        });
    }
});
